# Get Order's Info

## Get Order's Info

### Overview

This GET endpoint enables you to retrieve information about an outstanding order of the user whose authorization token is provided in the header request. If the user has buy, sell, short-sell, or buy-to-cover orders pending, you can request information on one of those orders by sending this API request.

There are five required parameters that must be provided in the request header:

1. **Et-App-Key** (header). This is the unique key of your app that identifies your app when communicating with our service.  It can be found it in the **BO Companies** widget. When editing the company's settings, navigate to the **WebApi** tab and look for the required key (it could be a key for the web terminal, the mobile app, or a custom key).&#x20;
2. **Authorization** (header). This is the authorization token from the very first [token request](https://github.com/etnatrader/gitbookHelp/tree/6c42ded62b3c38323fe9c79d5284ef0387d6f690/rest-api/public-api/authentication/requesting-tokens/README.md).
3. **orderId** (path). This is the numeric ID of the order whose information you need to retrieve.&#x20;
4. **version** (path). Unless necessary, leave it at "1.0"
5. **accountID** (path). This is the numeric ID of the trading account on which the order is registered.

This API request must be sent to the following URL:

* For orders that will only be verified by the API but not the execution venue (quick):

```javascript
apiURL/v1.0/accounts/6303/orders/73552
```

* For orders that will be verified by the API and the execution venue too (slow):

```javascript
apiURL/v1.0/accounts/6303/syncorders/73552
```

### Response

In response to this API request, you'll receive a JSON file with comprehensive information about the order:

```javascript
{
    "Id": 73552,
    "SecurityId": 4,
    "Quantity": 150,
    "Price": 0,
    "StopPrice": 0,
    "ClientId": "1045239786",
    "ExecutedQuantity": 150,
    "LastPrice": 156.57,
    "LastQuantity": 150,
    "LeavesQuantity": 0,
    "AveragePrice": 156.57,
    "Side": "Buy",
    "Date": "2019-01-22T13:00:26.575811Z",
    "TransactionDate": "2019-01-22T14:30:03.7168916Z",
    "SettDate": "0001-01-01T00:00:00Z",
    "Status": "Filled",
    "ExecutionStatus": "Filled",
    "Type": "Market",
    "RequestStatus": "Complete",
    "Target": "Modify",
    "TimeInForce": "Day",
    "ExecInst": "AllOrNone",
    "ExpireDate": "2019-01-22T21:00:00Z",
    "CounterPartyOrderId": "1045239786",
    "AccountId": 6303,
    "UserId": 7125,
    "RequestId": 96193,
    "StateId": 168831,
    "ParentId": -1,
    "Legs": [],
    "Exchange": "Auto",
    "ExecutionVenue": "Autoshares Emulator",
    "TrailingStopAmountType": "Absolute",
    "TrailingStopAmount": 0,
    "TrailingLimitAmountType": "Absolute",
    "TrailingLimitAmount": 0,
    "CreateDate": "2019-01-21T15:07:45.8158882Z",
    "InitialType": "Market",
    "IsExternal": false,
    "ExecBrocker": "Auto",
    "ExecutionInstructions": {},
    "TransType": "New",
    "ExecId": "173657808",
    "ValidationsToBypass": 0,
    "ParentRequestId": 0,
    "SettlementDate": "0001-01-01T00:00:00Z"
}
```

### Common Mistakes

Here are some of the common mistakes that developers make when trying to retrieve information about an outstanding order.

**Failing to Specify the Et-App-Key Parameter**

If you specify the wrong Et-App-Key parameter or fail to include it in the header altogether, you'll get the following error:

```javascript
{
    "error": "Application key is not defined or does not exist"
}
```

**Specifying a Trading Account of a Different User**

It's critical to understand that when you use the authorization token of a particular user in this request's header, only this user's orders can be examined. Retrieving information about orders of a different user will lead to the 401 error.

```javascript
{
    "Message": "Authorization has been denied for this request."
}
```

In the following article we provide in-depth coverage of the syntax for this API request.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api-documentation.autoshares.dev/rest-api/trading-api/orders/get-orders-info.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
